> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Status Page



## OpenAPI

````yaml POST /api/v1/manage/status-pages
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/manage/status-pages:
    post:
      tags:
        - status-pages
      summary: Create a new status page
      operationId: ManagementStatusPageController_create_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStatusPageDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateStatusPageDto:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        visibility:
          type: string
          enum:
            - public
            - private
        domain:
          type: string
          description: Subdomain slug (lowercase letters, numbers, hyphens)
      required:
        - name
        - visibility
        - domain
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````